#!/bin/sh
export PATH='/usr/obj/ports/hs-polyparse-1.12/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/X11R6/bin'
echo 'name: polyparse
version: 1.12
id: polyparse-1.12-735a14f9678a4a814d68afb734d36a89
key: polyp_GKxg7TMDzsEJNmYGcG0H8I
license: LGPL
copyright: (c) 2006-2016 Malcolm Wallace
maintainer: author
homepage: http://code.haskell.org/~malcolm/polyparse/
synopsis: A variety of alternative parser combinator libraries.
description:
    A variety of alternative parser combinator libraries, including
    the original HuttonMeijer set.  The Poly sets have features like
    good error reporting, arbitrary token type, running state, lazy
    parsing, and so on.  Finally, Text.Parse is a proposed
    replacement for the standard Read class, for better
    deserialisation of Haskell values from Strings.
category: Text, Parsing
author: Malcolm Wallace <Malcolm.Wallace@me.com>
exposed: True
exposed-modules:
    Text.ParserCombinators.HuttonMeijer
    Text.ParserCombinators.HuttonMeijerWallace
    Text.ParserCombinators.Poly Text.ParserCombinators.Poly.Base
    Text.ParserCombinators.Poly.Result
    Text.ParserCombinators.Poly.Parser
    Text.ParserCombinators.Poly.Plain Text.ParserCombinators.Poly.Lazy
    Text.ParserCombinators.Poly.StateParser
    Text.ParserCombinators.Poly.State
    Text.ParserCombinators.Poly.StateLazy
    Text.ParserCombinators.Poly.Lex Text.Parse
    Text.ParserCombinators.Poly.ByteString
    Text.ParserCombinators.Poly.ByteStringChar Text.Parse.ByteString
    Text.ParserCombinators.Poly.Text
    Text.ParserCombinators.Poly.StateText
trusted: False
import-dirs: /usr/local/lib/ghc/polyparse-1.12
library-dirs: /usr/local/lib/ghc/polyparse-1.12
data-dir: /usr/local/share/hs-polyparse-1.12
hs-libraries: HSpolyparse-1.12-GKxg7TMDzsEJNmYGcG0H8I
depends:
    base-4.8.2.0-998280bdde83e17200455ba43ed33188
    bytestring-0.10.6.0-fd9ecdc10518a92e9e756e845ae35989
    text-1.2.1.3-d050b6e0fc32994b2ea423ca0ac22057
haddock-interfaces: /usr/local/share/doc/hs-polyparse-1.12/html/polyparse.haddock
haddock-html: /usr/local/share/doc/hs-polyparse-1.12/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
